BLK_QUEUE_IO_OPT(9)

NAME
blk_queue_io_opt - set optimal request size for the queue

SYNOPSIS

void blk_queue_io_opt(struct request_queue * q, unsigned int opt);

ARGUMENTS

q
    the request queue for the device

opt
    optimal request size in bytes

DESCRIPTION

Storage devices may report an optimal I/O size, which is the device's preferred unit for sustained I/O. This is rarely reported for disk drives. For RAID arrays it is usually the stripe width or the internal track size. A properly aligned multiple of optimal_io_size is the preferred request size for workloads where sustained throughput is desired.

COPYRIGHT